#!/bin/bash

print2tty()
{
    echo "An exception occurred in the last system update. Rolling back to the state before the update. \
         After rolling back, the system will be restarted automatically. Please wait a few minutes..." > /dev/tty0
    while true
    do
        echo  "Please wait.." > /dev/tty0
        sleep 2
    done
}

main()
{
    if [ ! -f "/usr/share/cdos-update/update_flag" ]
    then
        exit 0
    fi
    backup_name=$(cat /usr/share/cdos-update/update_flag)
    if [ "X$backup_name" == "X" ]
    then
        exit 1
    fi
    /bin/plymouth quit
    print2tty &
    /usr/bin/backuprecover-bin -r "$backup_name"
    if [ $? -eq 0 ]
    then
        /usr/bin/backuprecover-bin -d "$backup_name"
        sync
        reboot
    else
        echo "The rollback is abnormal. Please restart and switch to the backup and restore system for rollback By $backup_name" > /dev/tty0
    fi
}

main